aboutsummaryrefslogtreecommitdiffstats
path: root/sys-apps/mandoc
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps/mandoc')
-rw-r--r--sys-apps/mandoc/Manifest6
-rw-r--r--sys-apps/mandoc/files/configure.local12
-rw-r--r--sys-apps/mandoc/files/mandoc.cron6
-rw-r--r--sys-apps/mandoc/mandoc-1.14.5-r2.ebuild69
-rw-r--r--sys-apps/mandoc/mandoc-1.14.5.ebuild51
-rw-r--r--sys-apps/mandoc/metadata.xml10
6 files changed, 154 insertions, 0 deletions
diff --git a/sys-apps/mandoc/Manifest b/sys-apps/mandoc/Manifest
new file mode 100644
index 0000000..380e473
--- /dev/null
+++ b/sys-apps/mandoc/Manifest
@@ -0,0 +1,6 @@
+AUX configure.local 232 BLAKE2B c6f8982c10029aa9e40b2bec2de53fdcf9aff08a363f089e11996c8d32e94b757d4e4884192a8d24fc165ae657a5ce1c61855542ad176bb6bb97b89e7a094211 SHA512 db661887bcbec6abb7cfb4164b4ab5a592a87e7e6be28ecfcdb204bf961361ce214207e80f5adb9f14ccaa077b5142fa65cda21ee9fd969973f060c2a08ae1fc
+AUX mandoc.cron 93 BLAKE2B 9b89161f32f608d5eb2d867d4edba09bbcccae10ae486c81c8c2cfc65961abbf460b75b5d44253e3e7951c01aef9000063209c7699afd94e776647d7ab356828 SHA512 3dabb2f513129aca96cc9c176053f4ffd64daae41b627c9fb657344b8e97f054e5a8fd3d662de50e6901de1b62231df009cef3896fcdf9ad8af04b0e893a7540
+DIST mandoc-1.14.5.tar.gz 651846 BLAKE2B 27aaf97e7226e989b33861d2a255304bb64a7cd43ca026568f4b044035241c3315a0d73673b023d9ca5b80575b8c584889832bbd86b80aaa49bb785b37559367 SHA512 848f290847f3095757f25647e6d73eb7044018b145bf6f9dc8b5db164b1421911efdc5b3b9022ec3a2c5af9687a84d5acedee810f2bd2f7caaa9242dadb2cc52
+EBUILD mandoc-1.14.5-r2.ebuild 1835 BLAKE2B 8cfac8010d91cc4c0b1039dc0d474c6928ef80f0014908a9bcf35945a93fc7af5a21ac98e80d1c1bff0cdd808f3c4d7690fe03bd53e30057d76e98741199c683 SHA512 c92904572b372a65ec9ed59e87d08b80ed878d3012a4c95742d2b39431c3b604c89370f5f2a47a676923454348940afd654d854866441f00696a753864740cda
+EBUILD mandoc-1.14.5.ebuild 1175 BLAKE2B fc716c848d9a4ee5a2bdcce156465f18a94218c3afa739ab1812142ac820f73163761932179831e4d19d01bd29fd977a82194adec4cabaf5497bda502fe048fe SHA512 bcf0cdd6d25bbcc6f40635ec02de9c83ccc9173d27a4dd445e2f436a3045891ada9b88f962b04b9e59527d0761bab91201fca5947429970e6d469a52484aee58
+MISC metadata.xml 332 BLAKE2B ea9f4015785ffc75c7708ee5a563f6ac2c2f34a630f973b7826a8086983730256adc71eceb447ca3af9391a1aacbd0107b061e97e2ce8ae1e7afb85bb92deed9 SHA512 edc2d04d705f45b21b7db90c41e2d6a3065f264663cfa039d69438a9296189f9628284abb467ca9ba2f17f1cdb055a2a85b0108ee9a2a543315c3def2db2f635
diff --git a/sys-apps/mandoc/files/configure.local b/sys-apps/mandoc/files/configure.local
new file mode 100644
index 0000000..e7729b3
--- /dev/null
+++ b/sys-apps/mandoc/files/configure.local
@@ -0,0 +1,12 @@
+PREFIX=/usr
+MANDIR=$PREFIX/share/man
+
+BINM_SOELIM=msoelim
+
+# These conflict with man(7) and mdoc(7) from man-pages.
+MANM_MAN=mandoc_man
+MANM_MDOC=mandoc_mdoc
+MANM_ROFF=mandoc_roff
+
+# catman(8) is disabled by default.
+BUILD_CATMAN=1
diff --git a/sys-apps/mandoc/files/mandoc.cron b/sys-apps/mandoc/files/mandoc.cron
new file mode 100644
index 0000000..20e6007
--- /dev/null
+++ b/sys-apps/mandoc/files/mandoc.cron
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+# we need this to have the right MANPATH set
+. /etc/profile
+
+exec nice makewhatis
diff --git a/sys-apps/mandoc/mandoc-1.14.5-r2.ebuild b/sys-apps/mandoc/mandoc-1.14.5-r2.ebuild
new file mode 100644
index 0000000..1382e71
--- /dev/null
+++ b/sys-apps/mandoc/mandoc-1.14.5-r2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit multilib toolchain-funcs
+
+DESCRIPTION="Suite of tools compiling mdoc and man"
+HOMEPAGE="http://mdocml.bsd.lv/"
+SRC_URI="http://mdocml.bsd.lv/snapshots/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="+cron static"
+
+LIB_DEPEND="sys-libs/zlib[static-libs(+)]"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+ !sys-apps/man-db !sys-apps/man"
+DEPEND="${RDEPEND}
+ static? ( ${LIB_DEPEND} )"
+
+src_prepare() {
+ default
+
+ sed -i -e '/ar rs/s:ar:$(AR):' Makefile || die
+
+ cat <<-EOF > "configure.local"
+ PREFIX="${EPREFIX}/usr"
+ BINDIR="${EPREFIX}/usr/bin"
+ SBINDIR="${EPREFIX}/usr/sbin"
+ LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+ MANDIR="${EPREFIX}/usr/share/man"
+ INCLUDEDIR="${EPREFIX}/usr/include/mandoc"
+ EXAMPLEDIR="${EPREFIX}/usr/share/examples/mandoc"
+ MANPATH_DEFAULT="${EPREFIX}/usr/man:${EPREFIX}/usr/share/man:${EPREFIX}/usr/local/man:${EPREFIX}/usr/local/share/man"
+
+ BINM_SOELIM=msoelim
+ MANM_MAN=mandoc_man
+ MANM_ROFF=mandoc_roff
+
+ CFLAGS="${CFLAGS} ${CPPFLAGS}"
+ LDFLAGS="${LDFLAGS} $(usex static -static '')"
+ AR="$(tc-getAR)"
+ CC="$(tc-getCC)"
+ # The STATIC variable is only used by man.cgi.
+ STATIC=
+ EOF
+}
+
+src_install() {
+ default
+
+ if use cron; then
+ exeinto /etc/cron.daily
+ newexe "${FILESDIR}"/mandoc.cron mandoc
+ fi
+}
+
+pkg_postinst() {
+ elog "In order to enable mandoc's apropos and man -k functionality,"
+ elog "the appropriate mandoc.db files need to be created. This can"
+ elog "be achieved by running makewhatis as root (Note: sudo will not"
+ elog "work, as it does not preserve the MANPATH environment variable"
+ elog "by default)."
+ elog
+ elog "If the cron use-flag is enabled, a cron.daily entry that calls"
+ elog "makewhatis will be installed."
+}
diff --git a/sys-apps/mandoc/mandoc-1.14.5.ebuild b/sys-apps/mandoc/mandoc-1.14.5.ebuild
new file mode 100644
index 0000000..f8d78a7
--- /dev/null
+++ b/sys-apps/mandoc/mandoc-1.14.5.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A suite of tools compiling mdoc from the OpenBSD project"
+HOMEPAGE="http://mdocml.bsd.lv/"
+SRC_URI="http://mdocml.bsd.lv/snapshots/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="amd64 x86"
+RESTRICT="mirror"
+
+IUSE="+cron static"
+
+RDEPEND="static? ( sys-libs/zlib[static-libs(+)] )
+ !sys-apps/man-db !sys-apps/man"
+
+DEPEND="static? ( sys-libs/zlib )"
+
+src_configure() {
+ cp "${FILESDIR}/configure.local" . || die
+
+ # Add Gentoo CFLAGS
+ echo 'CFLAGS="$CFLAGS' ${CFLAGS}\" >> configure.local
+
+ if use static; then
+ echo 'LDFLAGS="$LDFLAGS -static"' >> configure.local
+ fi
+
+ default
+}
+
+src_install() {
+ default
+
+ if use cron; then
+ exeinto /etc/cron.daily
+ newexe "${FILESDIR}"/mandoc.cron mandoc
+ fi
+}
+
+pkg_postinst() {
+ elog "In order to enable mandoc's apropos and man -k functionality,"
+ elog "the appropriate mandoc.db files need to be created. This can be"
+ elog "achieved by running makewhatis as root (sudo will not work)."
+ elog
+ elog "If the cron use-flag is enabled, a cron.daily entry that calls"
+ elog "makewhatis will be installed."
+}
diff --git a/sys-apps/mandoc/metadata.xml b/sys-apps/mandoc/metadata.xml
new file mode 100644
index 0000000..078004b
--- /dev/null
+++ b/sys-apps/mandoc/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>wolf@oriole.systems</email>
+ </maintainer>
+ <use>
+ <flag name="cron">Set up a cron script that updates mandoc.db files for apropos support.</flag>
+ </use>
+</pkgmetadata>